Package org.mariadb.jdbc.type

## Interface Geometry

All Known Implementing Classes:
  `GeometryCollection`, `LineString`, `MultiLineString`, `MultiPoint`, `MultiPolygon`, `Point`, `Polygon`

    public interface Geometry

### Method Summary

Static Methods
`static Geometry` `getGeometry​(org.mariadb.jdbc.client.ReadableByteBuf buf, int length, ColumnDefinitionPacket column)`
`static Point` `parsePoint​(boolean littleEndian, org.mariadb.jdbc.client.ReadableByteBuf buf)`

### Method Detail

#### parsePoint

    static Point parsePoint​(boolean littleEndian,
                            org.mariadb.jdbc.client.ReadableByteBuf buf)

#### getGeometry

    static Geometry getGeometry​(org.mariadb.jdbc.client.ReadableByteBuf buf,
                                int length,
                                ColumnDefinitionPacket column)
                         throws SQLDataException

Throws:
  `SQLDataException`